> For the complete documentation index, see [llms.txt](https://docs.learncard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.learncard.com/reference/official-plugins/learncloud.md).

# LearnCloud

### Using the LearnCLoud Plugin

The LearnCloud Plugin (`@learncard/learn-cloud-plugin`) simplifies the process of interacting with the LearnCloud API by providing a set of convenient methods for managing credentials, presentations, and records. This guide will help you understand how to use this plugin in your application.

#### Installation

```bash
bun add @learncard/learn-cloud-plugin
```

#### Initialization

```javascript
import { initLearnCard } from '@learncard/init';
import didkit from '@learncard/didkit-plugin/dist/didkit/didkit_wasm_bg.wasm?url';

const learnCard = await initLearnCard({ seed, didkit });
```

#### Accessing Plugin Methods

Once you've initialized the LearnCloud Plugin, you can access the methods by calling the `read`, `store`, and `index` planes. For example, to get the current user's Credential Records, you can call:

```javascript
await learnCard.index.LearnCloud.get();
```

For a more detailed breakdown of how to use the [Read](broken://pages/s13FerGAbkHnrN13v85i), [Store](broken://pages/AacoBhj2Q6kUaK1EVNnj), and [Index](broken://pages/plqXXrKGsTzgtcePKceH) Planes, see their respective pages.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.learncard.com/reference/official-plugins/learncloud.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
